# Class CIM_ESPTransform
extends CIM_SATransform

ESPTransform defines the parameters used for a phase 2 ESP (Encapsulating Security Protocol) Security Association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_ScopedSettingData
|
+--CIM_SATransform
|
+--CIM_ESPTransform

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | ESPTransform defines the parameters used for a phase 2 ESP (Encapsulating Security Protocol) Security Association.
MappingStrings | string | IPSP Model.IETF|ESPTransform
UMLPackagePath | string | CIM::Network::IPsec
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CipherKeyLength | uint16 |
Description | string | CipherKeyLength specifies, in bits, the key length for the encryption algorithm. For algorithms with fixed key lengths, this value is ignored.
MappingStrings | string | IPSP Model.IETF|ESPTransform.CipherKeyLength
Units | string | Bits
CipherKeyRounds | uint16 |
Description | string | CipherKeyRounds specifies the key rounds for the encryption algorithm. For algorithms with a fixed number of key rounds, this value is ignored. Currently, key rounds are NOT defined for any ESP encryption algorithms.
MappingStrings | string | IPSP Model.IETF|ESPTransform.CipherKeyRounds
CipherTransformId | uint16 |
Description | string | CipherTransformId is an enumeration that specifies the ESP encrypion algorithm to be used. The list of values is defined in RFC2407, Section 4.4.4, where the RFC's NULL value maps to 2-"None". Note that the enumeration is different than the RFC list, since 'Other' is added to the enumeration.
MappingStrings | string | IPSP Model.IETF|ESPTransform.CipherTransformId, RFC2407.IETF|Section 4.4.4
ModelCorrespondence | string | CIM_ESPTransform.OtherCipherTransformId
ValueMap | string | 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12
Values | string | Other, None, DES_IV64, DES, 3DES, RC5, IDEA, CAST, Blowfish, 3-IDEA, DES_IV32, RC4
IntegrityTransformId | uint16 |

Description

string

IntegrityTransformId is an enumeration that specifies the ESP integrity algorithm to be used. The list of values is generated from the enumeration defined in RFC2407, Section 4.5. Note that the enumeration is different than the RFC list, since the values of Other and None are taken into account. Also, note that 2 ("None") is used when ESP is negotiated without authentication.

MappingStrings | string | IPSP Model.IETF|ESPTransform.IntegrityTransformId, RFC2407.IETF|Section 4.5
ModelCorrespondence | string | CIM_ESPTransform.OtherIntegrityTransformId
ValueMap | string | 1, 2, 3, 4, 5, 6, 7..61439, 61440..65535
Values | string | Other, None, MD5, SHA-1, DES, KPDK, DMTF/IANA Reserved, Vendor Reserved
OtherCipherTransformId | string |
Description | string | Description of the encryption algorithm when the value 1 ("Other") is specified for the property, CipherTransformId.
ModelCorrespondence | string | CIM_ESPTransform.CipherTransformId
OtherIntegrityTransformId | string |
Description | string | Description of the integrity algorithm when the value 1 ("Other") is specified for the property, IntegrityTransformId.
ModelCorrespondence | string | CIM_ESPTransform.IntegrityTransformId
ReplayPreventionWindowSize | uint32 |
Description | string | ReplayPreventionWindowsSize specifies, in bits, the length of the sliding window used by the replay prevention mechanism. The value of this property is meaningless if UseReplayPrevention is false. The window size MUST be a power of 2.
MappingStrings | string | IPSP Model.IETF|ESPTransform.ReplayPreventionWindowSize
Units | string | Bits
UseReplayPrevention | boolean |
Description | string | UseReplayPrevention causes the local peer to enable replay prevention detection. This can be accomplished by using a sequence number when sending a packet or checking the sequence number upon receipt of a packet.
MappingStrings | string | IPSP Model.IETF|ESPTransform.UseReplayPrevention

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SATransform
InstanceID | string | CIM_SettingData
MaxLifetimeKilobytes | uint64 | CIM_SATransform
MaxLifetimeSeconds | uint64 | CIM_SATransform
VendorID | string | CIM_SATransform

## Class Methods